package net.sf.doolin.util;

/**
 * Converts a S object into a T object by calling a method on S.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <S>
 *            Type of the source object
 * @param <T>
 *            Type of the target object
 * @deprecated Use {@link MethodFunction} instead.
 */
@Deprecated
public class MethodItemConverter<S, T> implements ItemConverter<S, T> {

	private final String methodName;

	/**
	 * Constructor
	 * 
	 * @param methodName
	 *            Method name
	 */
	public MethodItemConverter(String methodName) {
		this.methodName = methodName;
	}

	/**
	 * Calls the method on the <code>source</code> object and casts the result
	 * to <code>&lt;T&gt;</code>.
	 */
	@Override
	public T convert(S source) {
		@SuppressWarnings("unchecked")
		T t = (T) Utils.callMethod(source, this.methodName);
		return t;
	}

	/**
	 * Returns the method name
	 * 
	 * @return Method name
	 */
	public String getMethodName() {
		return this.methodName;
	}

}
