package net.sf.doolin.util;

import org.apache.commons.lang.ObjectUtils;

/**
 * This read-only adapter converts the subjects to a string.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <S>
 *            Type of the subject
 */
public class ReadOnlyStringAdapter<S> extends ReadOnlyAdapter<S, String> {

	@Override
	public String convertSubjectToTarget(S subjectValue) {
		return ObjectUtils.toString(subjectValue, null);
	}

}
