/**
 * 
 */
package net.sf.doolin.util.expression;

import java.util.Locale;

import org.apache.commons.lang.ObjectUtils;

/**
 * List of {@link Token}s.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class SequenceToken extends TokenList {

	/**
	 * Constructor.
	 */
	public SequenceToken() {
		super(TokenType.SEQUENCE);
	}

	@Override
	public Object evaluate(Locale locale, Object context) {
		StringBuffer buffer = new StringBuffer();
		for (Token token : getTokens()) {
			Object value = token.evaluate(locale, context);
			String text = ObjectUtils.toString(value, "");
			buffer.append(text);
		}
		return buffer.toString();
	}

}