/**
 * 
 */
package net.sf.doolin.util.expression;

import java.util.Locale;

/**
 * Fixed text token.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class TextToken extends AbstractToken {

	private String text;

	/**
	 * Constructor.
	 */
	public TextToken() {
		this("");
	}

	/**
	 * Constructor.
	 * 
	 * @param text
	 *            Initial text
	 */
	public TextToken(String text) {
		super(TokenType.TEXT);
		this.text = text;
	}

	@Override
	public void add(Token add) {
		throw new UnsupportedOperationException();
	}

	@Override
	public Token addText(char c) {
		this.text += c;
		return null;
	}

	@Override
	public Object evaluate(Locale locale, Object context) {
		return this.text;
	}

	@Override
	public boolean isVariable() {
		return false;
	}

	@Override
	public boolean supportAdd() {
		return false;
	}

	@Override
	public void visitTokensWith(TokenVisitor visitor) {
		visitor.visitTextToken(this);
	}

}